%define api 1
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name %api
Summary: PolicyKit Authorization Framework
Name: polkit
Version: 0.96
Release: %mkrel 2
License: LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/PolicyKit
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (fc) 0.96-2mdv fix polkit information disclosure (fdo bug #26982) (GIT)
Patch0: polkit-0.96-fix-info-disclosure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Group: System/Libraries
BuildRequires: expat-devel
BuildRequires: pam-devel
BuildRequires: eggdbus-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: libgirepository-devel
Requires: consolekit

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package -n %libname
Group: System/Libraries
Summary: PolicyKit Authorization Framework
Requires: %name >= %version

%description -n %libname
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %develname
Summary: Development files for PolicyKit
Group: Development/C
Requires: %libname = %{version}-%{release}
Provides: polkit-%api-devel = %{version}-%{release}

%description -n %develname
Development files for PolicyKit.


%prep
%setup -q
%patch0 -p1 -b fix-info-disclosure

%build
%configure2_5x --enable-gtk-doc --disable-static --libexecdir=%{_libexecdir}/polkit-1

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang polkit-1

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/lib*-%api.so.%{major}*

%files -f polkit-1.lang
%defattr(-,root,root,-)
%dir %{_libdir}/polkit-1
%dir %{_libdir}/polkit-1/extensions
%{_libdir}/polkit-1/extensions/*.so
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1/
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%{_bindir}/pkaction
%{_bindir}/pkcheck
%{_libexecdir}/polkit-1/polkitd
%{_libdir}/girepository-1.0/*.typelib

# see upstream docs for why these permissions are necessary
%attr(0700,root,root) %dir %{_var}/lib/polkit-1/
%attr(4755,root,root) %{_bindir}/pkexec
%attr(4755,root,root) %{_libexecdir}/polkit-1/polkit-agent-helper-1

%attr(0700,root,root) %dir %{_localstatedir}/lib/polkit-1/
%dir %{_localstatedir}/lib/polkit-1/localauthority
%dir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/20-org.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/30-site.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/50-local.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/90-mandatory.d

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_includedir}/*
%{_datadir}/gtk-doc/html/*



%changelog
* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-2mdv2010.1
+ Revision: 540125
- Patch0 (GIT): fix polkit information disclosure (fdo bug #26982)

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-1mdv2010.1
+ Revision: 493024
- Release 0.96

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95-1mdv2010.1
+ Revision: 471660
- Update to version 0.95

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-1mdv2010.0
+ Revision: 415982
- Release 0.94

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-2mdv2010.0
+ Revision: 399254
- fix libexecdir

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-1mdv2010.0
+ Revision: 399185
- new version
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-2mdv2010.0
+ Revision: 395849
- update deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
+ Revision: 395832
- import polkit


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
- port to Mandriva

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-3
- Don't make docs noarch (I *heart* multilib)
- Change license to LGPLv2+

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Rebuild

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
